<?php

    include("../../classes/database.class.php");
    include("../../classes/relatorioModel.class.php");

    $tabela = $_POST["tabela"];
    $parametros = $_POST["parametros"];

    for($i = 0; $i < count($parametros); $i++){
        if($parametros[$i]["Valor"] == "null"){
            $parametros[$i]["Valor"] = null;
        }
    }
    
    $modelo = new RelatorioModel();
    $rows = $modelo->queryVendaDocumentoEmitido($tabela, $parametros);

    echo json_encode($rows);
